#include <rtai.h>
#include <rtai_sched.h>

void task1(void)
{
  int i,j;
 
  while (1) {
    for (i=0; i<3; i++) {
      for (j=0; j<1000; j++) ;
      printk("1");
    }
    rt_task_wait_period();
  }
}

void task2(void)
{
  int i,j;

  while (1) {
    for (i=0; i<5; i++) {
      for (j=0; j<10000; j++) ;
      printk("2");
    }
    rt_task_wait_period();
  }
}

void task3(void)
{
  static RTIME previous;
  RTIME t;

  while (1) {
    if (previous == 0) {
      previous = rt_get_time_ns();
    }

    t = rt_get_time_ns();
    printk("\tT: %Lu\n", t - previous);
    previous = t;

    rt_task_wait_period();
  }
}
